Maven Plugin Plugin (get rid of javadoc taglet?)

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Maven Plugin Plugin (get rid of javadoc taglet?)

Olivier Lamy
Hi,
I'm trying to build maven-plugin-plugin with jdk11.
But yup this will not work with import com.sun.javadoc.Tag; import
com.sun.tools.doclets.Taglet; etc... There is even some javax.swing
usage... (well mainly to use only some data structure).
I guess in 2018 everyone is now using the annotation! (at least I hope so
:) )
So I propose to get rid of this module and maybe bump version to 4.0.0

WDYT?

Cheers
--
Olivier Lamy
http://twitter.com/olamy | http://linkedin.com/in/olamy
Reply | Threaded
Open this post in threaded view
|

Re: Maven Plugin Plugin (get rid of javadoc taglet?)

Robert Scholte-8
I asked the same question last week.
My conclusion: remove doclettags.
However, I'd like to stay on 3.x so the '3' reflects that this plugin  
requires at least Maven 3.
It's a matter of good release notes and documentation, but I expect (and  
hope) only a few will notice these missing doclettags.

Robert

On Wed, 03 Oct 2018 11:15:50 +0200, Olivier Lamy <[hidden email]> wrote:

> Hi,
> I'm trying to build maven-plugin-plugin with jdk11.
> But yup this will not work with import com.sun.javadoc.Tag; import
> com.sun.tools.doclets.Taglet; etc... There is even some javax.swing
> usage... (well mainly to use only some data structure).
> I guess in 2018 everyone is now using the annotation! (at least I hope so
> :) )
> So I propose to get rid of this module and maybe bump version to 4.0.0
>
> WDYT?
>
> Cheers

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]